Area for Workspaces Messaging system.

Includes functionality for AMQP setup and connection creation.

Includes message-to-event translation functionality.

# Capturing archive events in the capability container
## Demonstration
1. set the AMQP server settings in `docker.properties` to those from `dsoc-dev.properties`.

   **BE SURE NOT TO commit the file with these changes!**
2. Be sure Docker containers are running and that logs show no errors.
3. `export CAPO_PROFILE=docker`
4. **in the archive-metadata project**: issue the following command from `pyat/pyat/pymygdala` (with the appropriate values swapped in):
   `ingest-complete --fileset_id 13B-014.sb29151475.eb29223944.56810.442529050924 --host wirth-vml --username archive --password <rabbit mq pw from dsoc-dev.properties>`
5. Check the docker logs; there should be a message like this in the capability_1 log:

`INFO  [workspaces.capability.services.execution_manager][messenger] This is a ingestion-complete message: {'user': 'jgoldste', 'hostname': 'trillian', 'timestamp': {'date': {'year': 2021, 'month': 6, 'day': 17}, 'time': {'hour': 14, 'minute': 26, 'second': 28, 'nano': 322754000}}, 'application': 'unknown', 'request': 'snek asks nice-like', 'version': 1.0, 'message': 'Ingestion complete', 'logData': {'ingestion_type': 'rawdata', 'execblock_id': '29223944', 'override_db_screen': 'False', 'fileset_id': '13B-014.sb29151475.eb29223944.56810.442529050924', 'telescope': 'EVLA', 'schedblock_id': '29151475', 'schedblock_type': 'SCIENCE', 'project_code': '13B-014', 'file_count': '1', 'profile': None}}`
